import HsShellScript
import Monad
import List

main = mainwrapper $ do
   test "/var/cache/*"
   test "/doesn't/exist"
   with_tmp_dir "/tmp/causing IOError" $ \dir -> do
      chmod ["a-rwx", dir]
      test (unsplit_parts [dir, "*"])
   test "/etc/fstab/some/more/path/components"

test pat = 
   do logm ("glob " ++ quote pat ++ " =")
      paths <- glob pat
      putStrLn ("[ " ++ concat (intersperse ", " (map ((++ "\n") . show) paths)) ++ "]")
   `catch` (\ioe -> putStrLn (show_ioerror ioe))
